Loading...
Searching...
No Matches
QXmppArchiveMessage Class Reference

The QXmppArchiveMessage class represents an archived message as defined by XEP-0136: Message Archiving. More...

`#include <QXmppArchiveIq.h>`

## Public Member Functions

QString | body () const
| Returns the archived message's body.
void | setBody (const QString &body)
| Sets the archived message's body.
QDateTime | date () const
| Returns the archived message's date.
void | setDate (const QDateTime &date)
| Sets the archived message's date.
bool | isReceived () const
| Returns true if the archived message was received, false if it was sent.
void | setReceived (bool isReceived)
| Set to true if the archived message was received, false if it was sent.

## Detailed Description

The QXmppArchiveMessage class represents an archived message as defined by XEP-0136: Message Archiving.

The documentation for this class was generated from the following files:

- QXmppArchiveIq.h
- QXmppArchiveIq.cpp